﻿#version 330 core
in vec3 color;
in vec2 texCoord;

out vec4 FragColor;

uniform sampler2D albedo;
uniform sampler2D dither;

void main()
{
    if(texture(dither, texCoord).r < 0.5) discard;

    FragColor = texture(albedo, texCoord);
}